<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  ConferenceEMail data = ConferenceEMail.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- E-mail to conference #<%= data.getConferenceID() %> --><% } %>
<% rdat.writeContentHeader(out,"Conference E-Mail:",data.getConferenceName()); %>

<FORM METHOD="POST" ACTION="<%= rdat.getEncodedServletPath("confops") %>"><DIV CLASS="content">
  <INPUT TYPE="HIDDEN" NAME="sig" VALUE="<%= data.getCommunityID() %>">
  <INPUT TYPE="HIDDEN" NAME="conf" VALUE="<%= data.getConferenceID() %>">
  <INPUT TYPE="HIDDEN" NAME="cmd" VALUE="I">
  <TABLE BORDER=0 CELLPADDING=0>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content" COLSPAN=2><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
        Send E-mail to all&nbsp;
        <SELECT NAME="porl" SIZE="1">
            <OPTION VALUE="0" SELECTED>posters in</OPTION>
            <OPTION VALUE="1">readers of</OPTION>
        </SELECT>
        &nbsp;topic:&nbsp;
        <SELECT NAME="top" SIZE="1">
          <% data.writeTopicChoices(out); %>
        </SELECT>
      </FONT></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD>&nbsp;</TD>
      <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
        <INPUT TYPE=CHECKBOX NAME="xday" VALUE="Y">
        Within the last <INPUT TYPE=TEXT NAME="day" VALUE="7" SIZE=3> day(s)
      </FONT></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content">
        <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>Subject:</FONT>
      </TD>
      <TD ALIGN=LEFT CLASS="cinput"><INPUT TYPE=TEXT CLASS="cinput" NAME="subj" SIZE=65
	                                   MAXLENGTH=255 VALUE=""></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="cinput" COLSPAN=2><TEXTAREA NAME="pb" WRAP=HARD ROWS=7 COLS=80></TEXTAREA></TD>
    </TR>
    <TR VALIGN=MIDDLE><TD ALIGN=LEFT COLSPAN=2 CLASS="content">
      <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_send_email.gif") %>" NAME="send"
             ALT="Send E-Mail" WIDTH=80 HEIGHT=24 BORDER=0>&nbsp;
      <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_cancel.gif") %>" NAME="cancel"
             ALT="Cancel" WIDTH=80 HEIGHT=24 BORDER=0>
    </TD></TR>
  </TABLE>
</DIV></FORM>